#!/bin/sh

killall recovery
sleep 1

mkdir -p /tmp/card
mkdir -p /tmp/root

mount /dev/mmcblk0 /tmp/card
/usr/sbin/ubiattach /dev/ubi_ctrl -m 3
mount -t ubifs /dev/ubi1_0 /tmp/root

rm -f /tmp/root/etc/init.d/S90adb
cat > /tmp/root/etc/init.d/S99usb <<END
#!/bin/sh

insmod /lib/modules/3.10.14/kernel/driver/staging/dwc2/dwc2.ko
insmod /lib/modules/3.10.14/kernel/driver/usb/gadget/libcomposite.ko
insmod /lib/modules/3.10.14/kernel/driver/usb/gadget/u_serial.ko
insmod /lib/modules/3.10.14/kernel/driver/usb/gadget/usb_f_serial.ko
insmod /lib/modules/3.10.14/kernel/driver/usb/gadget/usb_f_acm.ko
insmod /lib/modules/3.10.14/kernel/driver/usb/gadget/g_serial.ko

sleep 1
END
chmod a+x /tmp/root/etc/init.d/S99usb
echo -e "\nttyGS0::respawn:-/bin/sh" >> /tmp/root/etc/inittab

umount /tmp/root
umount /tmp/card
